with GNATCOM.IInterface;

with GNATCOM.Errors;

package body MSHTML.IOmHistory_Interface is

   procedure Initialize (This : in out IOmHistory_Type) is
   begin
      Set_IID (This, IID_IOmHistory);
   end Initialize;

   function Pointer (This : IOmHistory_Type)
     return Pointer_To_IOmHistory
   is
   begin
      return To_Pointer_To_IOmHistory (Address (This));
   end Pointer;

   procedure Attach (This    : in out IOmHistory_Type;
                     Pointer : in     Pointer_To_IOmHistory)
   is
   begin
      Attach (This, GNATCOM.IInterface.To_Pointer_To_IUnknown
              (Pointer.all'Address));
   end Attach;

   function Get_length
     (This : IOmHistory_Type)
     return Interfaces.C.short
   is
       RetVal : aliased Interfaces.C.short;
   begin
      GNATCOM.Errors.Error_Check
        (Pointer (This).Vtbl.Get_length
         (Pointer (This),
          RetVal'Unchecked_Access));

      return RetVal;
   end Get_length;

   procedure back
     (This          : IOmHistory_Type;
      pvargdistance : access GNATCOM.Types.VARIANT :=
        GNATCOM.Types.PVARIANT_MISSING)
   is
   begin
      GNATCOM.Errors.Error_Check
        (Pointer (This).Vtbl.back
         (Pointer (This),
          pvargdistance));

   end back;

   procedure forward
     (This          : IOmHistory_Type;
      pvargdistance : access GNATCOM.Types.VARIANT :=
        GNATCOM.Types.PVARIANT_MISSING)
   is
   begin
      GNATCOM.Errors.Error_Check
        (Pointer (This).Vtbl.forward
         (Pointer (This),
          pvargdistance));

   end forward;

   procedure go
     (This          : IOmHistory_Type;
      pvargdistance : access GNATCOM.Types.VARIANT :=
        GNATCOM.Types.PVARIANT_MISSING)
   is
   begin
      GNATCOM.Errors.Error_Check
        (Pointer (This).Vtbl.go
         (Pointer (This),
          pvargdistance));

   end go;

end MSHTML.IOmHistory_Interface;

